3月 19

今更の話題なのですが、Mac OS X 上の開発ツール Xcode がバージョンアップされ、Xcode 4 になりました。Developer Program に参加されている方は Download Xcode 4 – Apple Developer からダウンロードできますが、参加されていない方は Mac App Store から600円で購入iconすることになりました。

で、開発をするってわけではない私ですが、Firefox などの build に使っていますので、600円出しちゃいました。
Install Xcode.app というアプリがダウンロードされ、このアプリを実行すれば Xcode 4 がインストールされると思ったのですが、インストールが完了しません。あと少しのところで、プログレスバーが進まなくなります。/Applications/Install Xcode.app/Contents/Resources/Xcode and iOS SDK.mpkg を実行すればインストール完了するそうなのですが、有料なのですから Apple には早急な改善を求めたいですね。

ところで、Xcode 4 では、10.5 以下の SDK がインストールされません。まぁ、当初からその予定だったのですし今更な話なのですが、困る場合もあるでしょう。3.2 にある MacOSX10.5.sdk/ などを /Developer/SDKs/ に置けばとりあえず大丈夫そうなのですが、そのあたりは自己責任で。

関連記事

 
Posted: 3月 19日 2011 at 11:58 2,582 views   Tagged with:


にほんブログ村 PC家電ブログ Macへ にほんブログ村 野球ブログ 広島東洋カープへ にほんブログ村 写真ブログ デジタル一眼レフカメラへ 人気ブログランキングへ 広島ブログ


週刊 鉄道ペディア 国鉄JR篇 JTB Time Table MacPeople Software Design Hiroshima Athlete Magazine EIZOダイレクト フォトブック作成サービスcocoal(ココアル)
preload preload preload